---
title: "Pleroma"
date: 2023-01-11T17:17:40+03:00
weight: 5
description: >
  Decentralized Social Network Server
---

Any centralized social network will have to take care of moderation, censorship,
implementing rules, reading your correspondence as it grows.
Another thing is your own social network, which can only belong to you,
your family or your team. Only a decentralized network can provide maximum privacy.
That's why we offer you to become part of the Fediverse decentralized network.

At SelfPrivacy we use [Pleroma](https://pleroma.social/).

- [Official project website](https://pleroma.social/)


## Recommended clients

- WEB-interface: available after SelfPrivacy server configuration, at `https://pleroma.YOUR.DOMAIN`
- [Husky](https://f-droid.org/packages/su.xash.husky/) (Android)


## Features of Pleroma
- A social network of any scale: from a personal server with a single account to a massive thematic site;
- Your social network, your rules. You are the censor, moderator and administrator.

## Getting admin rights

Right now you can get admin rights only by using the command line.

1. Connect to your server via SSH as a `root` user. Use [this guide](/docs/how-to-guides/root_ssh/) if you need help.
2. Run the following command, replacing `<username>` with the username you want to make an admin:
   ```
   sudo -u pleroma env RELEASE_COOKIE=/var/lib/pleroma/.cookie pleroma_ctl user set <username> --admin
   ```
3. Done! Now the user `<username>` has admin rights.
