---
title: "Nextcloud"
date: 2023-01-11T17:08:23+03:00
weight: 2
description: >
  Швейцарский нож в деле совместной работы
---

Совместная работа - это хранение файлов, документооборот, видеоконференции, календарь общих мероприятий и прочее в этом духе. Как правило, люди склонны доверять личную жизнь и бизнес сторонним сервисам. Однако, есть возможность держать все это на своем сервере. 

Мы выбираем [Nextcloud](https://nextcloud.com/) - свободное программное обеспечение для удобного планирования и хранения файлов. 

- [Официальный сайт проекта](https://nextcloud.com/)


## Аутентификация

При создании сервера создается пользователь `admin` Nextcloud с паролем, который вы использовали для
вашего основного пользователя. 

Для добавления новых пользователей стоит перейти в админ панель управления пользователями, на веб-интерфейсе вашего Nextcloud.

## Рекомендуемые клиенты

- WEB-интерфейс: доступен после настройки сервера SelfPrivacy, по адресу `https://cloud.ВАШ.ДОМЕН`
- [Официальное приложение](https://nextcloud.com/install/#install-clients) (GNU/Linux, Windows, macOS, Android, iOS)


## Как сбросить админ пароль

Для следующих действий вам нужно будет подключиться по ssh к серверу с правами администратора. Минимальное понимание работы командной строки приветствуется ;)

Инструкцию по подключению вы можете [прочитать тут](http://selfprivacy.org/ru/docs/how-to-guides/root_ssh/). 


После подключения введите команду:

```nextcloud-occ user:resetpassword admin```

Вас попросят ввести новый пароль, отображение символов будет скрыто.


## ЧаВо

### Не работает Nextcloud Updater
Всё нормально, так и должно быть. Nextcloud обновляется через NixOS. Обновления зависят от нашего NixOS репозитория, всё  происходит без вашего участия.

### Почему я не могу использовать мой Nextcloud в сторонних сервисах?
Такое может быть, если в стороннем сервере стоит ограничение на привязку только к конкретному инстансу Nextcloud. 

### Стоит ли мне использовать расширение для шифрования своего Nextcloud?
Мы не рекомендуем. Ключи шифрования будут храниться на сервере, что делает такое шифрование практически бессмысленным. 
